Subject: Re: [PATCH 2/3] Submodules: Add the new "fetch" config option for fetch and pull

From: Jens Lehmann <[email-masked]>
Date: Sat, 09 Oct 2010 21:22:04 +0200

Am 07.10.2010 15:33, schrieb Jon Seymour:
>> The .gitmodules file is parsed for "submodule.<name>.fetch" entries before
>> looking for them in .git/config. Thus settings found in .git/config will
>> override those from .gitmodules, thereby allowing the local developer to
>> ignore settings given by the remote side while also letting upstream set
>> defaults for those users who don't have special needs.
>>
> 
> I wonder if the name is a little too general for the function of this
> configuration variable and if it might not be better to qualify it a
> little further, perhaps
> with the recursive suffix, e.g.:
> 
>     submodule.<name>.fetch.recursive
> 
> This would allow us to define other attributes that configure fetch on
> a per submodule basis later should the need arise.

I think that's a valid point (especially as we might add the --recursive
option to other commands too). I will change the option name as proposed
in the next version.